Bug 1252918 (tecnick.com/tc-lib-color) - Review Request: php-tecnickcom-tc-lib-color - PHP library to manipulate various color representations
Summary: Review Request: php-tecnickcom-tc-lib-color - PHP library to manipulate vario...
Status: CLOSED ERRATA
Alias: tecnick.com/tc-lib-color
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: tecnick.com/tc-lib-barcode
TreeView+ depends on / blocked
 
Reported: 2015-08-12 13:51 UTC by Remi Collet
Modified: 2015-10-07 04:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-09-18 19:01:37 UTC
shawn: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpcompatinfo-full.log (5.07 KB, text/plain)
2015-08-21 20:51 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (3.68 KB, text/plain)
2015-08-21 20:52 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.42 KB, text/plain)
2015-08-21 20:52 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-08-12 13:51:58 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/6c67e57cf346cf6ba7fd0cc4b73307b12ef71946/php/tecnick/php-tecnickcom-tc-lib-color/php-tecnickcom-tc-lib-color.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-tecnickcom-tc-lib-color-1.5.1-1.remi.src.rpm
Description: 
Provides tc-lib-color: PHP library to manipulate various color
representations (GRAY, RGB, HSL, CMYK) and parse Web colors.

The initial source code has been extracted from TCPDF (http://www.tcpdf.org).


Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2015-08-21 20:51:49 UTC
Created attachment 1065723 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST

Comment 2 Shawn Iwinski 2015-08-21 20:52:14 UTC
Created attachment 1065724 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST

Comment 3 Shawn Iwinski 2015-08-21 20:52:40 UTC
Created attachment 1065725 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1252918
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2015-08-21 20:53:05 UTC
No blockers.

===== APPROVED =====

Comment 5 Shawn Iwinski 2015-08-21 20:56:21 UTC
I forgot to mention:

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.

Comment 6 Remi Collet 2015-08-22 05:37:55 UTC
Thanks for the review !

New Package SCM Request
=======================
Package Name: php-tecnickcom-tc-lib-color
Short Description: PHP library to manipulate various color representations
Upstream URL: https://github.com/tecnickcom/tc-lib-color
Owners: remi
Branches: f21 f22 f23 el6 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2015-08-23 21:37:10 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-08-25 07:51:05 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14190

Comment 9 Fedora Update System 2015-08-25 07:52:26 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14189

Comment 10 Fedora Update System 2015-08-25 07:52:58 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7780

Comment 11 Fedora Update System 2015-08-25 07:54:38 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7779

Comment 12 Fedora Update System 2015-08-25 07:57:03 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14191

Comment 13 Fedora Update System 2015-08-25 19:17:36 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-color'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7780

Comment 14 Fedora Update System 2015-08-26 04:25:51 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-color'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14190

Comment 15 Fedora Update System 2015-08-26 15:19:38 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-color'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7779

Comment 16 Fedora Update System 2015-08-26 17:25:08 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-color'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14189

Comment 17 Fedora Update System 2015-08-26 17:27:44 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-color'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14191

Comment 18 Fedora Update System 2015-09-09 00:22:26 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-09-09 04:21:12 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-09-14 08:14:04 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el6 php-tecnickcom-tc-lib-color-1.5.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8070

Comment 21 Fedora Update System 2015-09-14 08:14:14 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el7 php-tecnickcom-tc-lib-color-1.5.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8071

Comment 22 Fedora Update System 2015-09-15 03:21:39 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el6, php-tecnickcom-tc-lib-color-1.5.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-barcode php-tecnickcom-tc-lib-color'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8070

Comment 23 Fedora Update System 2015-09-15 06:55:02 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el7, php-tecnickcom-tc-lib-color-1.5.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tecnickcom-tc-lib-color php-tecnickcom-tc-lib-barcode'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8071

Comment 24 Fedora Update System 2015-09-18 19:01:36 UTC
php-tecnickcom-tc-lib-color-1.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-10-07 03:06:40 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el7, php-tecnickcom-tc-lib-color-1.5.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-10-07 04:07:03 UTC
php-tecnickcom-tc-lib-barcode-1.4.3-1.el6, php-tecnickcom-tc-lib-color-1.5.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.